# HISP Default Configuration File

# Ip address the server will bind to (default: 0.0.0.0 ALL INTERFACES)
ip=0.0.0.0
# Port the server will bind to (default: 12321)
port=12321

# MariaDB Database 
db_ip=127.0.0.1
db_name=beta
db_username=root
db_password=test123
db_port=3306

# Map Data
map=HI1.MAP

# JSON Format Data
gamedata=gamedata.json

# Cross-Domain Policy File
crossdomain=CrossDomainPolicy.xml

# Red Text Stating "Todays Note:"
motd=April 11, 2020. New breed, Camarillo White Horse. Two new quests.

# Chat Filter Settings

# Wether to block 'bad' words
# ex 'Fuck You!' gets blocked
enable_word_filter=true

# Wether to expand slang.
# ex 'lol' becomes '*laughing out loud!*'
# (NOTE: This feature is also used to filter some less-'bad' words disabling it will allow users to say them!)
enable_corrections=true

# Include non-violations
# stuff like blocking you from saying your password in chat
# and FULL CAPS messages.
non_violation=true

# Should the server consider all users "Subscribers"
# (warning might make ranches be in use forever.)
all_users_subscribed=false

# Limits ad and global chat
# to just a few messages every minute
# by each user
enable_spam_filter=true

# Equation is: BANK_BALANCE * (1/INTREST_RATE);
# on All servers except Black its 3333, on black its 1000.
# but of course you can make it whatever you want
intrest_rate=3333

# Allows all users to use BBCODE in chat
# BBCode is the [b] [blue] etc colors
# If false, this only works for admins and moderators.
allow_bbcode_in_chat=false

# Should print extra debug logs
# 0 - no logs
# 1 - errors only
# 2 - errors, warnings
# 3 - errors, warnings, hackers
# 4 - errors, warnings, hackers,  info,
# 5 - debug, errors, warnings, info, hackers
log_level=4